/*********************************************
* vim: set sw=8 ts=8 si et :
* Author: Guido Socher, Copyright: GPL 
* This program is to test the led connected to LEDOUT (see below)
* 
* Clock frequency     : Internal clock 1 Mhz (factory default)
*********************************************/
#include <avr/io.h>
#define F_CPU 1000000UL  // 1 MHz
#include <util/delay.h>

#define LEDOUT PORTC5
#define LEDPORT PORTC
#define LEDDDR DDRC
#define LEDDDRPIN DDC5

//#define LEDOUT PORTD5
//#define LEDPORT PORTD
//#define LEDDDR DDRD
//#define LEDDDRPIN DDD5

// _delay_ms uses a floating point datatype if you call
// that function in many places in your code then it becomes
// very fat. An integer is enough for us:
//
// delay x milliseconds:
void delay_ms(unsigned int xms)
{
        while(xms){
                _delay_ms(0.96);
                xms--;
        }
}


int main(void)
{
        /* enable pin as output */
        LEDDDR|= (1<<LEDDDRPIN);

	while (1) {
		/* led on, pin=0 */
		LEDPORT &= ~(1<<LEDOUT);
		delay_ms(500);
		/* set output to 5V, LED off */
		LEDPORT|= (1<<LEDOUT);
		delay_ms(500);
        }
        return(0);
}

